Page MenuHomePhabricator

Dashboards: using a specific tab url doesn't work
Closed, ResolvedPublic4 Story Points

Description

When trying to view dashboards using a URL open a specific tab, it's not working right now.

You can try: https://discovery.wmflabs.org/metrics/#sister_search_traffic as an example.

Event Timeline

debt created this task.Jul 14 2017, 9:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2017, 9:58 PM
chelsyx set the point value for this task to 4.

This bug came from the renderMenu function in shinydashboard package, and it was fixed on July 19th: https://github.com/rstudio/shinydashboard/commit/0694bcb2f2bbababd5c603dd8fea41d0f6348e9f
All we need to do is to re-install the package from github...

Fixed by re-install the package via devtools::install_github.

We need to re-install the package after they publish the bug fix on CRAN (so that the package source won't be github).

Nice! Great job @chelsyx! I was so frustrated when the thing supposed to work but didn't.

@debt: We'll need a separate ticket to re-install the shinydashboard package once they upload the fixed version to CRAN because we want to avoid using development versions of packages in production and we might forget. I'm not sure whether to create a "subtask" from this one?

debt changed the task status from Open to Stalled.Jul 25 2017, 6:40 PM
debt moved this task from Done to Stalled/Waiting on the Discovery-Analysis (Current work) board.

@mpopov added a subtask! :)

debt closed this task as Resolved.Jul 28 2017, 7:14 PM

Closing this out, as it might be several months before the fixed version gets uploaded to CRAN; we have a task for this additional work: T171637.

Thanks, @chelsyx !